set parametric
 set terminal 'qt'
 set iso 30
 set urange [0:pi]
 set vrange [-pi:pi] 
 set xrange [-3:3]
 set yrange [-3:3]
 set zrange [-3:3]
 set view equal xyz
 set hidden3d
 A = 1
 B = 3
 C = -2
 set key ins vert right top
 r(u,v)=(C*cos(u)**2+A*(cos(v)*sin(u))**2+B*(sin(v)*sin(u))**2)
 splot (r(u,v)+abs(r(u,v))) *(cos(v)*sin(u))/2,\
 (r(u,v)+abs(r(u,v)))*(sin(v)*sin(u))/2,\
(r(u,v)+abs(r(u,v)))*cos(u)/2 t '+ve',\
 (r(u,v)-abs(r(u,v))) *(cos(v)*sin(u))/2,\
 (r(u,v)-abs(r(u,v)))*(sin(v)*sin(u))/2,\
(r(u,v)-abs(r(u,v)))*cos(u)/2 t '-ve'
pause -1